package com.cf.imes.module.system.validation.recharge;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;
import java.lang.annotation.*;

/**
 * 自定义Double校验注解
 *
 */
@Target({
        ElementType.METHOD,
        ElementType.FIELD,
        ElementType.ANNOTATION_TYPE,
        ElementType.CONSTRUCTOR,
        ElementType.PARAMETER,
        ElementType.TYPE_USE
})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(
        validatedBy = MoneyValidator.class
)
public @interface MoneyValid {

    /**
     * 字段中文名
     *
     * @return
     */
    String name();

    /**
     * 校验提示信息
     *
     * @return
     */
    String message() default "数字不合法";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};

    /**
     * 整数最大位数
     *
     * @return
     */
    int integer() default 7;

    /**
     * 小数点后的最大位数
     *
     * @return
     */
    int fraction() default 3;

}
